package com.realnet.order_estimation.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.order_estimation.Entity.Manufacturer;
import com.realnet.order_estimation.Services.ManufacturerService ;






@RequestMapping(value = "/token/Manufacturer")
 @CrossOrigin("*") 
@RestController
public class tokenFree_ManufacturerController {
	@Autowired
	private ManufacturerService Service;

@Value("${projectPath}")
	private String projectPath;
 






	@PostMapping("/Manufacturer")
		  public Manufacturer Savedata(@RequestBody Manufacturer data) {
		Manufacturer save = Service.Savedata(data)	;





		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Manufacturer/{id}")
	public  Manufacturer update(@RequestBody Manufacturer data,@PathVariable Integer id ) {
		Manufacturer update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Manufacturer/getall/page")
	public Page<Manufacturer> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Manufacturer> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Manufacturer")
	public List<Manufacturer> getdetails() {
		 List<Manufacturer> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Manufacturer")
	public List<Manufacturer> getallwioutsec() {
		 List<Manufacturer> get = Service.getdetails();		
		return get;
}
@GetMapping("/Manufacturer/{id}")
	public  Manufacturer  getdetailsbyId(@PathVariable Integer id ) {
		Manufacturer  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Manufacturer/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}







}